# List debit memo items Lists debit memo items. You can use the query parameters to filter, expand, and sort the returned results. Endpoint: GET /object-query/debit-memo-items Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields: - id - updateddate - creditmemoitemid - excludeitembillingfromrevenueaccounting - sourceitemtype - chargenumber - subscriptionid - subscriptionnumber - invoiceitemid - productrateplanchargeid - rateplanchargeid - debitmemoid - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "subscription", "rateplancharge", "subscriptionowner", "debittaxationitems" - `filter[]` (array) A case-insensitive filter on the list. Supported filterable fields: - id - updateddate - creditmemoitemid - excludeitembillingfromrevenueaccounting - sourceitemtype - chargenumber - subscriptionid - subscriptionnumber - invoiceitemid - productrateplanchargeid - rateplanchargeid - debitmemoid - {indexedcustomfield}: Use the format like customField__c to filter on custom fields. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `nextPage` (string,null) A string that can be used as the cursor value to retrieve the next page of the response if it exists; otherwise absent. - `data` (array) - `data.id` (string) The unique identifier of the debit memo item. - `data.createdById` (string) The unique identifier of the user who created the debit memo item. - `data.createdDate` (string) The date and time when the debit memo item was created. - `data.updatedById` (string) The unique identifier of the user who last updated the debit memo item. - `data.updatedDate` (string) The date and time when the debit memo item was last updated. - `data.amount` (number) The amount of the debit memo item. For tax-inclusive debit memo items, the amount indicates the debit memo item amount including tax. For tax-exclusive debit memo items, the amount indicates the debit memo item amount excluding tax. - `data.amountWithoutTax` (number) The debit memo item amount excluding tax. - `data.appliedToItemId` (string) The parent debit memo item that this debit memo items is applied to if this item is discount. - `data.appliedToOthersAmount` (number) - `data.beAppliedByOthersAmount` (number) - `data.chargeDate` (string) The date when the debit memo item is charged, in yyyy-mm-dd hh:mm:ss format. - `data.creditMemoItemId` (string) - `data.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude the debit memo item from revenue accounting. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `data.description` (string) The description of the debit memo item. - `data.itemShipToContactId` (string) The ID of the ship-to contact associated with the debit memo item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `data.itemSoldToContactId` (string) The ID of the sold-to contact associated with the debit memo item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `data.itemSoldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the debit memo item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `data.processingType` (string) The type of the charge for the debit memo item. - 0: charge - 1: discount Enum: "0", "1" - `data.quantity` (number) The number of units for the debit memo item. - `data.reflectDiscountInNetAmount` (boolean) When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the reflectDiscountInNetAmount field to true, you must also set the excludeItemBillingFromRevenueAccounting field to true. * If you are a Billing - Revenue Integration customer, you must set the reflectDiscountInNetAmount field to false, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the reflectDiscountInNetAmount field to true. - `data.serviceEndDate` (string) The end date of the service period associated with this debit memo item. Service ends one second before the date specified in this field. - `data.serviceStartDate` (string) The start date of the service period associated with this debit memo item. If the associated charge is a one-time fee, this date is the date of that charge. - `data.sku` (string) The SKU for the product associated with the debit memo item. - `data.sourceItemType` (string) The type of the source item. Enum: "CreditMemoItem", "SubscriptionComponent", "InvoiceDetail", "ProductRatePlanCharge" - `data.chargeName` (string) The name of the charge associated with the debit memo item. - `data.chargeNumber` (string) The number of the charge associated with the debit memo item. - `data.taxAmount` (number) The amount of tax on this debit memo. - `data.taxCodeName` (string) Name of the tax code identifies which tax rules and tax rates to apply to a specific debit memo item. - `data.taxExemptAmount` (number) The calculated tax amount excluded due to the exemption. - `data.taxMode` (string) The tax mode of the debit memo item, indicating whether the amount of the debit memo item includes tax. Enum: "TaxExclusive", "TaxInclusive" - `data.unitOfMeasure` (string) The units to measure usage. - `data.unitPrice` (number) The per-unit price of the debit memo item. - `data.subscriptionId` (string) The ID of the subscription associated with the debit memo item. - `data.subscriptionNumber` (string) The number of the subscription associated with the debit memo item. - `data.invoiceItemId` (string) The ID of the invoice item associated with the debit memo item. - `data.productRatePlanChargeId` (string) The ID of the product rate plan charge based on which the debit memo item is created. - `data.ratePlanChargeId` (string) The ID of the rate plan charge associated with the debit memo item. - `data.debitMemoId` (string) The ID of the debit memo to which this debit memo item belongs. - `data.balance` (number) The balance of the debit memo item. - `data.recognizedRevenueAccountingCodeId` (string) The Recognized Revenue accounting code for the debit memo item. - `data.accountReceivableAccountingCodeId` (string) The Account Receivable accounting code for the debit memo item. - `data.deferredRevenueAccountingCodeId` (string) The Deferred Revenue accounting code for the debit memo item. - `data.journalEntryId` (string) The ID of the journal entry that corresponds to this debit memo item. - `data.shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot associated with the debit memo. - `data.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the debit memo. - `data.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot associated with the debit memo. - `data.subscription` (object) - `data.subscription.id` (string) The unique identifier of the subscription. - `data.subscription.createdById` (string) The unique identifier of the user who created the subscription. - `data.subscription.createdDate` (string) The date and time when the subscription was created in the Zuora system, in the yyyy-mm-dd hh:mm:ss format. - `data.subscription.updatedById` (string) The unique identifier of the user who last updated the subscription. - `data.subscription.updatedDate` (string) The date and time when the subscription was last updated, in the yyyy-mm-dd hh:mm:ss format. - `data.subscription.accountId` (string) The ID of the account associated with this subscription. - `data.subscription.autoRenew` (boolean) If true, the subscription automatically renews at the end of the term. - `data.subscription.cancelledDate` (string) The date on which the subscription was canceled. - `data.subscription.contractAcceptanceDate` (string) The date when the customer accepts the contract, in the yyyy-mm-dd format. If this field is not set: - If the serviceActivationDate field is not set, the value of this field is set to be the contract effective date. - If the serviceActivationDate field is set, the value of this field is set to be the service activation date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `data.subscription.contractEffectiveDate` (string) The date when the subscription is activated, in the yyyy-mm-dd format. You must specify a Service Activation date if the Customer Acceptance date is set. If the Customer Acceptance date is not set, the value of the serviceActivationDate field defaults to be the Contract Effective Date. The billing trigger dates must follow this rule: contractEffectiveDate <= serviceActivationDate <= contractAcceptanceDate - `data.subscription.creatorAccountId` (string) The ID of the account that created the subscription. This field is automatically populated with the ID of the account that creates the subscription. Note: This field is not available for single version subscriptions. - `data.subscription.creatorInvoiceOwnerId` (string) The account ID that owns the invoices associated with the subscription or the amended subscription. Note: This field is not available for single version subscriptions. - `data.subscription.currentTerm` (integer) The length of the period for the current subscription term. - `data.subscription.currentTermPeriodType` (string) The period type for the current subscription term. Enum: "Month", "Year", "Day", "Week" - `data.subscription.initialTerm` (integer) The length of the period for the initial subscription term. - `data.subscription.initialTermPeriodType` (string) The period type for the first subscription term. Enum: "Month", "Year", "Day", "Week" - `data.subscription.invoiceOwnerId` (string) The account ID that owns the invoices associated with the subscription. - `data.subscription.isInvoiceSeparate` (boolean) Determines if the subscription is invoiced separately. If true, then all charges for this subscription are collected into the subscription's own invoice. - `data.subscription.isSingleVersioned` (boolean) If true, the subscription is a single version subscription. - `data.subscription.name` (string) The name of the subscription. - `data.subscription.notes` (string) Additional information about the subscription. - `data.subscription.originalCreatedDate` (string) The date when the subscription was originally created. This value is the same as the createdDate value until the subscription is amended. - `data.subscription.originalId` (string) The original rate plan charge ID. Only available for update subscription. Note: This field is not available for single version subscriptions. - `data.subscription.previousSubscriptionId` (string) The ID of the previous subscription. This field is only available if the subscription is a renewal subscription. Note: This field is not available for single version subscriptions. - `data.subscription.renewalSetting` (string) Specifies whether a termed subscription will remain TERMED or change to EVERGREEN when it is renewed. Enum: "RENEW_WITH_SPECIFIC_TERM", "RENEW_TO_EVERGREEN" - `data.subscription.renewalTerm` (integer) The length of the period for the subscription renewal term. - `data.subscription.renewalTermPeriodType` (string) The period type for the subscription renewal term. Enum: "Month", "Year", "Day", "Week" - `data.subscription.revision` (string) An auto-generated decimal value uniquely tagged with a subscription. The value always contains one decimal place, for example, the revision of a new subscription is 1.0. If a further version of the subscription is created, the revision value will be increased by 1. Also, the revision value is always incremental regardless of deletion of subscription versions. - `data.subscription.serviceActivationDate` (string) The date on which the services or products within a subscription have been activated and access has been provided to the customer, in the yyyy-mm-dd format. - `data.subscription.status` (string) Subscription status. Enum: "Draft", "Pending Activation", "Pending Acceptance", "Active", "Cancelled", "Suspended" - `data.subscription.isLatestVersion` (boolean) If true, the current subscription object is the latest version. Note: This field is not available for single version subscriptions. - `data.subscription.subscriptionEndDate` (string) The date when the subscription term ends, where the subscription ends at midnight the day before. For example, if the subscriptionEndDate is 12/31/2016, the subscriptions ends at midnight (00:00:00 hours) on 12/30/2016. This date is the same as the term end date or the cancelation date, as appropriate. - `data.subscription.subscriptionStartDate` (string) Date the subscription becomes effective. - `data.subscription.subscriptionVersionAmendmentId` (string) The ID of the amendment made to this subscription version. Note: This field is not available for single version subscriptions. - `data.subscription.termEndDate` (string) Date the subscription term ends. If the subscription is evergreen, this is null or is the cancellation date (if one has been set). - `data.subscription.termStartDate` (string) Date the subscription term begins. If this is a renewal subscription, this date is different from the subscription start date. - `data.subscription.termType` (string) The type of the subscription term. Enum: "TERMED", "EVERGREEN" - `data.subscription.version` (integer) This is the subscription version automatically generated by Zuora Billing. Each order or amendment creates a new version of the subscription, which incorporates the changes made in the order or amendment. - `data.subscription.cMRR` (number) Monthly recurring revenue of the subscription. - `data.subscription.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot. - `data.subscription.billToContactId` (string) The ID of the bill-to contact for the subscription. - `data.subscription.invoiceTemplateId` (string) The ID of the invoice template associated with the subscription. Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Template from Account for this field during subscription creation, the value of this field is automatically set to null in the response body. - `data.subscription.sequenceSetId` (string,null) The ID of the sequence set associated with the subscription. Note: - If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is null in the response body. - If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request or you select Default Set from Account for this field during subscription creation, the value of this field is automatically set to null in the response body. - `data.subscription.shipToContactId` (string) The ID of the ship-to contact for the subscription. - `data.subscription.shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot. - `data.subscription.soldToContactId` (string) The ID of the sold-to contact for the subscription. - `data.subscription.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot. - `data.subscription.externallyManagedBy` (string) An enum field on the Subscription object to indicate the name of a third-party store. This field is used to represent subscriptions created through third-party stores. Enum: "Amazon", "Apple", "Google", "Roku" - `data.subscription.lastBookingDate` (string) The last booking date of the subscription object. This field is writable only when the subscription is newly created as a first version subscription. You can override the date value when creating a subscription through the Subscribe and Amend API or the subscription creation UI (non-Orders). Otherwise, the default value today is set per the user's timezone. The value of this field is as follows: * For a new subscription created by the [Subscribe and Amend APIs](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Migration_Guidance#Subscribe_and_Amend_APIs_to_Migrate), this field has the value of the subscription creation date. * For a subscription changed by an amendment, this field has the value of the amendment booking date. * For a subscription created or changed by an order, this field has the value of the order date. - `data.subscription.invoiceScheduleId` (string) The ID of the invoice schedule associated with the subscription. If multiple invoice schedules are created for different terms of a subscription, this field stores the latest invoice schedule. Note: This field is available only if you have the Billing Schedule feature enabled. - `data.subscription.cancelReason` (string) The reason for a subscription cancellation copied from the changeReason field of a Cancel Subscription order action. This field contains valid value only if a subscription is cancelled through the Orders UI or API. Otherwise, the value for this field will always be null. - `data.subscription.prepayment` (boolean) Whether the subscription is prepaid. - `data.subscription.currency` (string) The currency of the subscription. Note: This field is available only if you have the Multiple Currencies feature enabled. - `data.subscription.orderId` (string) The ID of the order associated with the subscription. Note: This field is available only for orders that exist after the end of June 2023. - `data.subscription.rampId` (string) The ID of the ramp object associated with the subscription. Note: This field is available only if you have the Ramp feature enabled. - `data.subscription.paymentTerm` (string) Name of the payment term associated with the account. For example, "Net 30". The payment term determines the due dates of invoices. - `data.subscription.quoteNumber__QT` (string) The unique identifier of the Quote. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.subscription.quoteType__QT` (string) The Quote type that represents the subscription lifecycle stage such as New, Amendment, Renew or Cancel. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.subscription.quoteBusinessType__QT` (string) The specific identifier for the type of business transaction the Quote represents such as New, Upsell, Downsell, Renewal or Churn. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.subscription.opportunityName__QT` (string) The unique identifier of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `data.subscription.opportunityCloseDate__QT` (string) - `data.subscription.cpqBundleJsonId__QT` (string) The Bundle product structures from Zuora Quotes if you utilize Bundling in Salesforce. Do not change the value in this field. - `data.subscription.account` (object) The subscription owner account associated with the subscription. - `data.subscription.invoiceOwner` (object) The invoice owner account associated with the subscription. - `data.subscription.billToContact` (object) The bill-to contact who pays the billing documents for this subscription. - `data.subscription.invoiceItems` (array) The invoice items associated with the subscription. - `data.subscription.ratePlans` (array) The rate plans associated with the subscription. - `data.ratePlanCharge` (object) - `data.ratePlanCharge.id` (string) The unique identifier of the rate plan charge. - `data.ratePlanCharge.createdById` (string) The unique identifier of the user who created the rate plan charge. - `data.ratePlanCharge.createdDate` (string) The date and time when the rate plan charge was created. - `data.ratePlanCharge.updatedById` (string) The unique identifier of the user who last updated the rate plan charge. - `data.ratePlanCharge.updatedDate` (string) The date and time when the rate plan charge was last updated. - `data.ratePlanCharge.ratePlanId` (string) The unique identifier of the rate plan to which this rate plan charge belongs. - `data.ratePlanCharge.productRatePlanChargeId` (string) The unique identifier of the product rate plan charge associated with this product rate plan charge. - `data.ratePlanCharge.accountingCode` (string) The accounting code for the charge. Accounting codes group transactions that contain similar accounting attributes. Values: inherited from ProductRatePlanCharge.AccountingCode Note: This value changes if ProductRatePlanCharge.AccountingCode is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.AccountingCode is updated. - `data.ratePlanCharge.applyDiscountTo` (string) Specifies the type of charges a specific discount applies to. Values: inherited from ProductRatePlanCharge.ApplyDiscountTo - `data.ratePlanCharge.billCycleDay` (integer) Indicates the charge's billing cycle day (BCD), which is when bill runs generate invoices for charges associated with the product rate plan charge or the account. Values: inherited from ProductRatePlanCharge.BillCycleDay - `data.ratePlanCharge.billCycleType` (string) Specifies how to determine the billing day for the charge.\n\ Values: inherited from ProductRatePlanCharge.BillCycleType Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - `data.ratePlanCharge.billingPeriod` (string) Allows billing period to be overridden on rate plan charge. Values: inherited from ProductRatePlanCharge.BillingPeriod Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - `data.ratePlanCharge.billingPeriodAlignment` (string) Aligns charges within the same subscription if multiple charges begin on different dates. Values: inherited from ProductRatePlanCharge.BillingPeriodAlignment - `data.ratePlanCharge.billingTiming` (string) The billing timing for the charge. You can choose to bill in advance or in arrears for recurring charge types. This field is not used in one-time or usage based charge types. Note: You can override the value inherited from the Product Rate Plan Charge when a subscription has a recurring charge type. Enum: "In Advance", "In Arrears" - `data.ratePlanCharge.chargedThroughDate` (string) The date through which a customer has been billed for the charge. - `data.ratePlanCharge.chargeModel` (string) Determines how to evaluate charges. Charge models must be individually activated in the web-based UI. Values: inherited from ProductRatePlanCharge.ChargeModel - `data.ratePlanCharge.chargeNumber` (string) A unique number that identifies the charge. This number is returned as a string. Values: one of the following: - automatically generated if left null - a unique number of 50 characters or fewer - `data.ratePlanCharge.chargeType` (string) Specifies the type of charge. Values: inherited from ProductRatePlanCharge.ChargeType - `data.ratePlanCharge.description` (string) A description of the rate plan charge. - `data.ratePlanCharge.discountLevel` (string) Application scope of the discount charge. For example, if the value of this field is subscription and the value of the applyDiscountTo field is RECURRING, the discount charge applies to all recurring charges in the same subscription as the discount charge. Enum: "rateplan", "subscription", "account" - `data.ratePlanCharge.dMRC` (number) A delta monthly recurring charge is the change in monthly recurring revenue caused by an amendment or a new subscription. Values: automatically generated - `data.ratePlanCharge.drawdownRate` (number) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The [conversion rate](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge#UOM_Conversion) between Usage UOM and Drawdown UOM for a [drawdown charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge). Must be a positive number (>0). - `data.ratePlanCharge.dTCV` (number) After an Amendment, the change in the total contract value (TCV) amount for this charge, compared with its previous value. Values: automatically generated - `data.ratePlanCharge.effectiveEndDate` (string) Start date when the rate plan charge becomes active, as yyyy-mm-dd. - `data.ratePlanCharge.effectiveStartDate` (string) Final date the rate plan is active, as yyyy-mm-dd. - `data.ratePlanCharge.endDateCondition` (string) Condition for the charge to become inactive. - If the value of this field is FixedPeriod, the charge is active for a predefined duration based on the value of the upToPeriodsType and upToPeriods fields. - If the value of this field is SpecificEndDate, use the specificEndDate field to specify the date when the charge becomes inactive. Enum: "SubscriptionEnd", "FixedPeriod", "SpecificEndDate", "OneTime" - `data.ratePlanCharge.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude rate plan charge related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. If both the following features are enabled in your tenant, you must ensure the excludeItemBillingFromRevenueAccounting field is set consistently for a prepayment charge and the corresponding drawdown charge. In addition, if the excludeItemBookingFromRevenueAccounting field in an Create Subscription or Add Product order action is set to false, you must also set the excludeItemBillingFromRevenueAccounting field in this order action to false. * Prepaid with Drawdown * Unbilled Usage Note: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled. - `data.ratePlanCharge.excludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude rate plan charges from revenue accounting. If both the following features are enabled in your tenant, you must ensure the excludeItemBookingFromRevenueAccounting field is set consistently for a prepayment charge and the corresponding drawdown charge. * Prepaid with Drawdown * Unbilled Usage Note: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled. - `data.ratePlanCharge.invoiceScheduleId` (string) The unique identifier of the invoice schedule associated with the subscription. - `data.ratePlanCharge.isLastSegment` (boolean) Indicates if the segment of the rate plan charge is the most recent segment. Values: automatically generated. - `data.ratePlanCharge.isPrepaid` (boolean) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Indicates whether this charge is a prepayment (topup) charge or a drawdown charge. - `data.ratePlanCharge.isRollover` (boolean) Note: This field is only available if you have the Prepaid with Drawdown feature enabled. It determines whether the rollover fields are needed. - `data.ratePlanCharge.rolloverPeriods` (integer) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. This field defines the number of rollover periods, it is restricted to 3. - `data.ratePlanCharge.rolloverPeriodLength` (integer,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Use this field when you want to set the rollover fund's period length shorter than the prepayment charge's validity period. In this case, you must set the rolloverPeriods field to 1. For example, you can define the rollover fund's period length as 5 months, shorter than the prepayment charge's validity period: a year. - `data.ratePlanCharge.rolloverApply` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. This field defines the priority of rollover, which is either first or last. Enum: "ApplyFirst", "ApplyLast" - `data.ratePlanCharge.isProcessed` (boolean) Indicates whether the rate plan charge has been processed. - `data.ratePlanCharge.listPriceBase` (string) The list price base for the product rate plan charge. Enum: "Per Billing Period", "Per Month", "Per Week", "Per Year", "Per Specific Months" - `data.ratePlanCharge.specificListPriceBase` (integer,null) The number of months for the list price base of the charge. This field is required if you set the value of the ListPriceBase field to Per Specific Months. Notes: - This field is available only if you have the Annual List Price feature enabled. - The value of this field is null if you do not set the value of the ListPriceBase field to Per Specific Months. - `data.ratePlanCharge.priceUpsellQuantityStacked` (boolean) - `data.ratePlanCharge.commitmentType` (string) Note: This field is only available if you have the Unbilled Usage feature enabled. To use this field, you must set the X-Zuora-WSDL-Version request header to 133 or higher. Otherwise, an error occurs. This field defines the type of commitment. A prepaid charge can be UNIT or CURRENCY. A minimum commitment(in-arrears) charge can only be CURRENCY type. For topup(recurring or one-time) charges, this field indicates what type of funds are created. * If UNIT, it will create a fund with given prepaidUom. * If CURRENCY, it will create a fund with the currency amount calculated in list price. For drawdown(usage) charges, this field indicates what type of funds are drawdown from that created from topup charges. Enum: "UNIT", "CURRENCY" - `data.ratePlanCharge.isCommitted` (boolean) Indicates whether the rate plan charge is commited. - `data.ratePlanCharge.mRR` (number) Monthly recurring revenue (MRR) is the amount of recurring charges in a given month. The MRR calculation doesn't include one-time charges nor usage charges. Values: automatically generated - `data.ratePlanCharge.name` (string) The name of the rate plan charge. Values: automatically generated - `data.ratePlanCharge.numberOfPeriods` (integer) Specifies the number of periods to use when calculating charges in an overage smoothing charge model. Values: inherited from ProductRatePlanCharge.NumberOfPeriod. - `data.ratePlanCharge.originalId` (string) The original ID of the rate plan charge. Values: automatically generated. - `data.ratePlanCharge.overageCalculationOption` (string) Determines when to calculate overage charges. If the value of the SmoothingMode field is null (not specified and not inherited from ProductRatePlanCharge.SmoothingMode), the value of this field is ignored. Values: inherited from ProductRatePlanCharge.OverageCalculationOption. - `data.ratePlanCharge.overageUnusedUnitsCreditOption` (string) Determines whether to credit the customer with unused units of usage. Values: inherited from ProductRatePlanCharge.OverageUnusedUnitsCreditOption. - `data.ratePlanCharge.prepaidOperationType` (string,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The type of this charge. It is either a prepayment (topup) charge or a drawdown charge. Enum: "topup", "drawdown", null - `data.ratePlanCharge.prepaidQuantity` (number,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The number of units included in a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). Must be a positive number (>0). - `data.ratePlanCharge.prepaidTotalQuantity` (number,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The total amount of units that end customers can use during a validity period when they subscribe to a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). - `data.ratePlanCharge.priceChangeOption` (string) Applies an automatic price change when a termed subscription is renewed. Values: one of the following: - NoChange (default) - SpecificPercentageValue - UseLatestProductCatalogPricing - `data.ratePlanCharge.priceIncreasePercentage` (number) Specifies the percentage to increase or decrease the price of renewed subscriptions. Values: a decimal value between -100 and 100. - `data.ratePlanCharge.processedThroughDate` (string) The date until when charges have been processed. When billing in arrears, such as usage, this field value is the the same as the ChargedThroughDate value. This date is the earliest date when a charge can be amended. Values: automatically generated. - `data.ratePlanCharge.prorationOption` (string) Determines how to prorate charges when a subscription is created or amended. - `data.ratePlanCharge.quantity` (number) The default quantity of units, such as the number of authors in a hosted wiki service. Valid for all charge models except for Flat Fee pricing. Values: a valid quantity value. - `data.ratePlanCharge.numberOfDeliveries` (number) Number of deliveries in the billing period for the charge segment. The numberOfDeliveries is used for the Delivery Pricing charge model only. Note: The Delivery Pricing charge model is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see [Enable billing features by yourself](https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Billing_Settings/Manage_Features) in the Knowledge Center. You can check Delivery Pricing in Billing Settings > Enable Charge Types / Models. - `data.ratePlanCharge.ratingGroup` (string) A rating group based on which usage records are rated. Only applicable to Usage charges. Possible values: - ByBillingPeriod: The rating is based on all the usages in a billing period. - ByUsageStartDate: The rating is based on all the usages on the same usage start date. - ByUsageRecord: The rating is based on each usage record. - ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). - ByGroupId: The rating is based on all the usages in a custom group. For more information, see [Usage rating by group](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Usage/Usage_Rating_by_Group). Enum: "ByBillingPeriod", "ByUsageStartDate", "ByUsageRecord", "ByUsageUpload", "ByGroupId" - `data.ratePlanCharge.revenueRecognitionRuleName` (string) Specifies the Revenue Recognition Rule that you want the Rate Plan Charge to use. This field can be updated when Status is Draft. By default, the Revenue Recognition Rule is inherited from the Product Rate Plan Charge. For Amend calls, you can use this field only for NewProduct amendments. For Update calls, you can use this field only to update subscriptions in draft status. Note that if you use this field to specify a Revenue Recognition Rule for the Rate Plan Charge, the rule will remain as specified even if you later change the rule used by the corresponding Product Rate Plan Charge. Values: inherited from ProductRatePlanCharge.RevenueRecognitionRuleName or the name of an active Revenue Recognition Rule Note: Unless overridden, this value changes if ProductRatePlanCharge.RevenueRecognitionRuleName is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.RevenueRecognitionRuleName is updated. - `data.ratePlanCharge.revenueRecognitionTiming` (string) Specifies the type of revenue recognition timing. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. Note: This field is only available if you have the Order to Revenue feature enabled. Enum: "Upon Billing Document Posting Date", "Upon Order Activation Date" - `data.ratePlanCharge.revenueAmortizationMethod` (string) Specifies the type of revenue amortization method. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. Note: This field is only available if you have the Order to Revenue feature enabled. Enum: "Immediate", "Ratable Using Start And End Dates" - `data.ratePlanCharge.revRecCode` (string) Associates this product rate plan charge with a specific revenue recognition code. Values: inherited from ProductRatePlanCharge.RevRecCode or a valid revenue recognition code Note: Unless overridden, this value changes if ProductRatePlanCharge.RevRecCode is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.RevRecCode is updated. - `data.ratePlanCharge.revRecTriggerCondition` (string) Specifies when revenue recognition begins. Values: inherited from ProductRatePlanCharge.RevRecTriggerCondition or one of the following: - ContractEffectiveDate - ServiceActivationDate - CustomerAcceptanceDate Note: Unless overridden, this value changes if ProductRatePlanCharge.RevRecTriggerCondition is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.RevRecTriggerCondition is updated. - `data.ratePlanCharge.segment` (integer) The identifying number of the subscription rate plan segment. Segments are numbered sequentially, starting with 1. Values: automatically generated - `data.ratePlanCharge.specificBillingPeriod` (integer) Customizes the number of months or weeks for the charges billing period. This field is required if you set the value of the BillingPeriod field to Specific Months or Specific Weeks. Values: inherited from ProductRatePlanCharge.BillingPeriod Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - `data.ratePlanCharge.specificEndDate` (string) The specific date on which the charge ends, in yyyy-mm-dd format. Note: - This field is only applicable when the EndDateCondition field is set to SpecificEndDate. - If the subscription ends before the specific end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the specific end date. - `data.ratePlanCharge.tCV` (number) The total contract value (TCV) is the value of a single rate plan charge in a subscription over the lifetime of the subscription. This value does not represent all charges on the subscription. The TCV includes recurring charges and one-time charges, but it doesn't include usage charge. Values: automatically generated - `data.ratePlanCharge.triggerDate` (string) The date when the charge becomes effective and billing begins, in yyyy-mm-dd format. This field is required if the TriggerEvent field value is SpecificDate. - `data.ratePlanCharge.triggerEvent` (string) Specifies when to start billing the customer for the charge. Note: This field can be passed through the Subscribe and Amend calls and will override the default value set on the Product Rate Plan Charge. Values: inherited from ProductRatePlanCharge.TriggerEvent and can be one of the following values: - ContractEffective is the date when the subscription's contract goes into effect and the charge is ready to be billed. - ServiceActivation is when the services or products for a subscription have been activated and the customers have access. - CustomerAcceptance is when the customer accepts the services or products for a subscription. - SpecificDate is valid only on the RatePlanCharge. - `data.ratePlanCharge.uOM` (string) Specifies the units to measure usage. Values: inherited from ProductRatePlanCharge.UOM - `data.ratePlanCharge.upToPeriods` (integer) Specifies the length of the period during which the charge is active. If this period ends before the subscription ends, the charge ends when this period ends. Values: inherited from ProductRatePlanCharge.UpToPeriods Note: - You must use this field together with the UpToPeriodsType field to specify the time period. This field is only applicable only when the EndDateCondition field is set to FixedPeriod. - You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - Use this field to override the value in ProductRatePlanCharge.UpToPeriod. - If you override the value in this field, enter a whole number between 0 and 65535, exclusive. - If the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge end date will change accordingly up to the original period end. - `data.ratePlanCharge.upToPeriodsType` (string) The period type used to define when the charge ends. This field can be updated when Status is Draft. Note: - You must use this field together with the UpToPeriods field to specify the time period. - This field is only applicable only when the EndDateCondition field is set to FixedPeriod. Enum: "Billing Periods", "Days", "Weeks", "Months", "Years" - `data.ratePlanCharge.version` (integer) The version of the rate plan charge. Each time a charge is amended, Zuora creates a new version of the rate plan charge. Values: automatically generated. - `data.ratePlanCharge.weeklyBillCycleDay` (string) Specifies which day of the week as the bill cycle day (BCD) for the charge. Enum: "Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday" - `data.ratePlanCharge.subscriptionId` (string) The unique identifier of the subscription to which the rate plan charge belongs. - `data.ratePlanCharge.subscriptionOwnerId` (string) ID of the account that owns the subscription. - `data.ratePlanCharge.invoiceOwnerId` (string) ID of the account that will pay the billing documents for the subscription. - `data.ratePlanCharge.originalOrderDate` (string) The date when the rate plan charge is created through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sales order line in Zuora Revenue. - `data.ratePlanCharge.amendedByOrderOn` (string) The date when the rate plan charge is amended through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue. - `data.ratePlanCharge.validityPeriodType` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The period in which the prepayment units are valid to use as defined in a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). Enum: "SUBSCRIPTION_TERM", "ANNUAL", "SEMI_ANNUAL", "QUARTER", "MONTH" - `data.ratePlanCharge.creditOption` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The way to calculate credit. See [Credit Option](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge#Credit_Option) for more information. Enum: "TimeBased", "ConsumptionBased", "FullCreditBack" - `data.ratePlanCharge.applyToBillingPeriodPartially` (boolean) Allow the discount duration to be aligned with the billing period partially. Note: You must enable the [Enhanced Discounts](https://knowledgecenter.zuora.com/Zuora_Billing/Build_products_and_prices/Basic_concepts_and_terms/B_Charge_Models/D_Manage_Enhanced_Discount) feature to access this field. - `data.ratePlanCharge.productChargeDefinitionId` (string) The unique ID of the product charge definition. - `data.ratePlanCharge.accountReceivableAccountingCodeId` (string) ID of the accountReceivableAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders, Zuora Finance, and Invoice Settlement features are enabled. - `data.ratePlanCharge.deferredRevenueAccountingCodeId` (string) ID of the deferredRevenueAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders and Zuora Finance features are enabled. - `data.ratePlanCharge.recognizedRevenueAccountingCodeId` (string) ID of the recognizedRevenueAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders and Zuora Finance features are enabled. - `data.ratePlanCharge.prepaidUOM` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Unit of measurement for a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). - `data.ratePlanCharge.drawdownUom` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Unit of measurement for a [drawdown charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge). - `data.ratePlanCharge.ratePlan` (object) The rate plan to which this charge belongs. - `data.ratePlanCharge.productRatePlanCharge` (object) The product rate plan charge associated with this rate plan charge. - `data.ratePlanCharge.salesPrice` (number) The sales price associated with the rate plan charge expressed as a decimal. Notes: - This field is only available to subscriptions that are created through orders and exist after 2023-01-10. - This field applies to the following charge models, and the values vary with the charge models: - Flat fee: the value equals the value of the price field. - Per unit: the value equals price multiplied by quantity. - Fixed amount discount: the value equals the value of the discountAmount field. - Volume: The calculation of the tier price is dependent on whether the price format is the flat fee or per unit. - Tiered: The calculation of the tier price is dependent on whether the price format is the flat fee or per unit. - `data.ratePlanCharge.taxable` (boolean) Indicates whether the rate plan charge is taxable. - `data.ratePlanCharge.reverted` (boolean) Indicates whether the rate plan charge has been reverted. - `data.ratePlanCharge.reflectDiscountInNetAmount` (boolean) Indicates whether the discount is reflected in the net amount. - `data.subscriptionOwner` (object) - `data.subscriptionOwner.id` (string) The unique identifier of the account. - `data.subscriptionOwner.createdById` (string) The unique identifier of the user who created the account. - `data.subscriptionOwner.createdDate` (string) The date and time when the account was created. - `data.subscriptionOwner.updatedById` (string) The unique identifier of the user who last updated the account. - `data.subscriptionOwner.updatedDate` (string) The date and time when the account was last updated. - `data.subscriptionOwner.accountNumber` (string) The account number that identifies the account. - `data.subscriptionOwner.additionalEmailAddresses` (string) An additional email address to receive email notifications. - `data.subscriptionOwner.allowInvoiceEdit` (boolean) Indicates whether associated invoices can be edited. - `data.subscriptionOwner.autoPay` (boolean) Indicates whether future payments are automatically collected when they are due during a payment run. - `data.subscriptionOwner.balance` (number) The customer's total invoice balance minus credit balance. - `data.subscriptionOwner.batch` (string) The alias name given to a batch. A string of 50 characters or less. - `data.subscriptionOwner.bcdSettingOption` (string) The billing cycle day setting option for the account. Enum: "ManualSet", "AutoSet" - `data.subscriptionOwner.billCycleDay` (integer) Billing cycle day (BCD), the day of the month when a bill run generates invoices for the account. - `data.subscriptionOwner.billToId` (string) The unique identifier of the bill-to contact associated with the account. - `data.subscriptionOwner.communicationProfileId` (string) The unique identifier of the communication profile that Zuora uses when sending notifications to the account's contacts. - `data.subscriptionOwner.creditBalance` (number) The current credit balance on the account. - `data.subscriptionOwner.crmId` (string) External identifier of the account in a CRM system. - `data.subscriptionOwner.currency` (string) A currency defined in the web-based UI administrative settings. - `data.subscriptionOwner.customerServiceRepName` (string) Name of the account's customer service representative, if applicable. - `data.subscriptionOwner.defaultPaymentMethodId` (string) ID of the default payment method for the account. - `data.subscriptionOwner.eInvoiceProfileId` (string) ID of the e-invoice profile for this account. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `data.subscriptionOwner.invoiceDeliveryPrefsEmail` (boolean) Indicates whether the customer wants to receive invoices through email. - `data.subscriptionOwner.invoiceDeliveryPrefsPrint` (boolean) Whether the customer wants to receive printed invoices, such as through postal mail. - `data.subscriptionOwner.invoiceTemplateId` (string) Invoice template ID, configured in Billing Settings in the Zuora UI. - `data.subscriptionOwner.lastInvoiceDate` (string) Date of the most recent invoice for the account; null if no invoice has ever been generated. - `data.subscriptionOwner.lastMetricsUpdate` (string) The date and time when account metrics are last updated, if the account is a partner account. Note: - This field is available only if you have the Reseller Account feature enabled. - If you ever set the partnerAccount field to true for an account, the value of lastMetricsUpdate field is the time when the account metrics are last updated. - `data.subscriptionOwner.name` (string) The name of the account. - `data.subscriptionOwner.notes` (string) A string of up to 65,535 characters. - `data.subscriptionOwner.organizationId` (string) The unique identifier of the organization to which the account belongs. - `data.subscriptionOwner.parentId` (string) Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled. - `data.subscriptionOwner.partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. Note: This field is available only if you have the Reseller Account feature enabled. - `data.subscriptionOwner.paymentMethodCascadingConsent` (boolean) true indicates the consent from your customer to use the Cascading Payment Method feature was collected. false indicates the consent was not collected and the Cascading Payment Method feature is not enabled. - `data.subscriptionOwner.purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `data.subscriptionOwner.salesRepName` (string) Name of the account's sales representative, if applicable. - `data.subscriptionOwner.sequenceSetId` (string,null) The ID of the billing document sequence set to assign to the customer account. The billing documents to generate for this account will adopt the prefix and starting document number configured in the sequence set. If a customer account has no assigned billing document sequence set, billing documents generated for this account adopt the prefix and starting document number from the default sequence set. - `data.subscriptionOwner.shipToId` (string) The unique identifier of the ship-to contact associated with the account. - `data.subscriptionOwner.soldToId` (string) The unique identifier of the sold-to contact associated with the account. - `data.subscriptionOwner.status` (string) The account status. Enum: "Active", "Draft", "Canceled" - `data.subscriptionOwner.taxCompanyCode` (string) Unique code that identifies a company account in Avalara. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `data.subscriptionOwner.taxExemptCertificateID` (string) ID of the customer tax exemption certificate. Applicable if you use Zuora Tax or Connect tax engines. - `data.subscriptionOwner.taxExemptCertificateType` (string) Type of tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `data.subscriptionOwner.taxExemptDescription` (string) Description of the tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines. - `data.subscriptionOwner.taxExemptEffectiveDate` (string) Date when the customer tax exemption starts, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `data.subscriptionOwner.taxExemptEntityUseCode` (string) A unique entity use code to apply exemptions in Avalara AvaTax. See Exempt Transactions for more details. - `data.subscriptionOwner.taxExemptExpirationDate` (string) Date when the customer tax exemption expires, in YYYY-MM-DD format. Applicable if you use Zuora Tax or Connect tax engines. - `data.subscriptionOwner.taxExemptIssuingJurisdiction` (string) Jurisdiction in which the customer tax exemption certificate was issued. - `data.subscriptionOwner.taxExemptStatus` (string) Status of the account tax exemption. Applicable if you use Zuora Tax or Connect tax engines. Required if you use Zuora Tax. Enum: "No", "Yes", "PendingVerification" - `data.subscriptionOwner.totalInvoiceBalance` (number) Total balance of all posted invoices. - `data.subscriptionOwner.unappliedBalance` (number) Total unapplied balance in this currency. - `data.subscriptionOwner.vATId` (string) EU Value Added Tax ID. - `data.subscriptionOwner.mrr` (number) Monthly recurring revenue for the account. - `data.subscriptionOwner.totalDebitMemoBalance` (number) Total balance of all posted debit memos. - `data.subscriptionOwner.unappliedCreditMemoAmount` (number) The total unapplied amount of all posted credit memos in this currency. - `data.subscriptionOwner.creditMemoTemplateId` (string) ID of the credit memo template that is used to generate credit memos for the account. - `data.subscriptionOwner.debitMemoTemplateId` (string) ID of the debit memo template that is used to generate debit memos for the account. - `data.subscriptionOwner.paymentGateway` (string) The name of the payment gateway instance. If null or left unassigned, the account will use the default gateway. - `data.subscriptionOwner.paymentTerm` (string) A payment-terms indicator defined in the web-based UI administrative settings, for example, Net 30. - `data.subscriptionOwner.billTo` (object) The bill-to contact on this account. - `data.subscriptionOwner.shipTo` (object) The ship-to contact on the account. - `data.subscriptionOwner.soldTo` (object) The sold-to contact on the account. - `data.subscriptionOwner.defaultPaymentMethod` (object) The default payment method associated with the account. - `data.subscriptionOwner.subscriptions` (array) The subscriptions associated with the account. - `data.subscriptionOwner.payments` (array) The payments associated with the account. - `data.subscriptionOwner.refunds` (array) The refunds associated with the account. - `data.subscriptionOwner.creditMemos` (array) The credit memos associated with the account. - `data.subscriptionOwner.debitMemos` (array) The debit memos associated with the account. - `data.subscriptionOwner.invoices` (array) The invoices associated with the account. - `data.subscriptionOwner.usages` (array) The usage records associated with the account. - `data.subscriptionOwner.paymentMethods` (array) The payment methods associated with the account. - `data.debitTaxationItems` (object) - `data.debitTaxationItems.balance` (number) The balance of the taxation item. - `data.debitTaxationItems.creditAmount` (number) The amount of credit memos applied to the debit memo. - `data.debitTaxationItems.exemptAmount` (number) The calculated tax amount excluded due to the exemption. - `data.debitTaxationItems.jurisdiction` (string) The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city. - `data.debitTaxationItems.locationCode` (string) The identifier for the location based on the value of the taxCode field. - `data.debitTaxationItems.name` (string) The name of the taxation item. - `data.debitTaxationItems.paymentAmount` (number) The amount of payments applied to the debit memo. - `data.debitTaxationItems.taxAmount` (number) The amount of taxation. - `data.debitTaxationItems.taxCode` (string) The tax code identifies which tax rules and tax rates to apply to a specific debit memo. - `data.debitTaxationItems.taxCodeDescription` (string) The description of the tax code. - `data.debitTaxationItems.taxDate` (string) The date that the tax is applied to the debit memo, in yyyy-mm-dd format. - `data.debitTaxationItems.taxMode` (string) The tax mode of the debit memo, indicating whether the amount of the debit memo includes tax. Enum: "TaxExclusive", "TaxInclusive" - `data.debitTaxationItems.taxRate` (string) The tax rate applied to the debit memo. - `data.debitTaxationItems.taxRateDescription` (string) The description of the tax rate. - `data.debitTaxationItems.taxRateType` (string) The type of the tax rate. Enum: "Percentage", "FlatFee" - `data.debitTaxationItems.debitMemoItemId` (string) The ID of the debit memo item. - `data.debitTaxationItems.taxableItemSnapshotId` (string) The unique identifier of the taxable item snapshot. - `data.debitTaxationItems.taxationItemId` (string) The Id of the taxation item. - `data.debitTaxationItems.id` (string) The unique identifier of the taxation item. - `data.debitTaxationItems.createdById` (string) The unique identifier of the user who created the taxation item. - `data.debitTaxationItems.createdDate` (string) The date and time when the taxation item was created in the Zuora system, in the yyyy-mm-dd hh:mm:ss format. - `data.debitTaxationItems.updatedById` (string) The unique identifier of the user who last updated the taxation item. - `data.debitTaxationItems.updatedDate` (string) The date and time when the taxation item was last updated, in the yyyy-mm-dd hh:mm:ss format. - `data.debitTaxationItems.accountReceivableAccountingCodeId` (string) The accounting code for Account Receivable. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.